Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class AbstractEnsembleMC

[frames] | no frames]

# Class AbstractEnsembleMC

source code

         object --+
                  |
    AbstractSampler --+
                      |
             AbstractMC --+
                          |
                         AbstractEnsembleMC

Known Subclasses:
  - AbstractExchangeMC

Abstract class for Monte Carlo sampling algorithms simulating several ensembles.

Nested Classes
Inherited from `AbstractSampler`: `__metaclass__`

Instance Methods

__init__(self, samplers) x.__init__(...) initializes x; see help(type(x)) for signature | source code

EnsembleState

sample(self) Draw an ensemble sample. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| energy Total ensemble energy.
Inherited from `AbstractMC`: `state` Inherited from `object`: `__class__`

Method Details

### __init__(self, samplers)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `samplers` (list of AbstractSingleChainMC) - samplers which sample from their respective equilibrium distributions
Overrides: object.__init__
  (inherited documentation)

### sample(self)

source code

Draw an ensemble sample.

Returns: EnsembleState
Overrides: AbstractSampler.sample

Property Details

### energy

Total ensemble energy.

Get Method:
  unreachable.energy(self) - Total ensemble energy.